function love.load()
    tero = {
        tex = love.graphics.newImage('tero.png'),
        x = 0,
        y = 0,
    }
    
    akvo = {
        tex = love.graphics.newImage('tero.png'),
        x = -512,
        y = -512,
    }
    ground = love.graphics.newImage('ground.png')
    screen = {
        w = love.graphics.getWidth(),
        h = love.graphics.getHeight()
    }
    love.graphics.setBackgroundColor(128,128,255)
end
function love.update(dt)
    if love.keyboard.isDown('escape') then love.event.quit() end
    mouse = {
        x = love.mouse.getX(),
        y = love.mouse.getY()
    }
    if love.keyboard.isDown('up') then tero.y = tero.y - dt * 512 end
    if love.keyboard.isDown('down') then tero.y = tero.y + dt * 512 end
    if love.keyboard.isDown('left') then tero.x = tero.x - dt * 512 end
    if love.keyboard.isDown('right') then tero.x = tero.x + dt * 512 end
    --Moves Tero
    
    if tero.x > 512 then tero.x = 512 end
    if tero.y > 512 then tero.y = 512 end
    if tero.x < -512 then tero.x = -512 end
    if tero.y < -512 then tero.y = -512 end
    --Keeps max/min of his position in check
    
    
    
    if love.keyboard.isDown('w') then akvo.y = akvo.y - dt * 512 end
    if love.keyboard.isDown('s') then akvo.y = akvo.y + dt * 512 end
    if love.keyboard.isDown('a') then akvo.x = akvo.x - dt * 512 end
    if love.keyboard.isDown('d') then akvo.x = akvo.x + dt * 512 end
    --Moves Akvo
    
    if akvo.x > 512 then akvo.x = 512 end
    if akvo.y > 512 then akvo.y = 512 end
    if akvo.x < -512 then akvo.x = -512 end
    if akvo.y < -512 then akvo.y = -512 end
    --Keeps max/min of Akvo's position in check
    
    tero.ax = tero.x + 512
    tero.ay = tero.y + 512
    akvo.ax = akvo.x + 512
    akvo.ay = akvo.y + 512
    
end
function love.draw()
    for i = 1,screen.h/1,1 do
        love.graphics.setScissor(0, i, screen.w, 1)
        love.graphics.draw(ground,screen.w/2 + (tero.x * (screen.w/512))/6, screen.h/2, 0, i / 256, i / 512, tero.x / 2 + 256, 256 + 64 + tero.y / 8)
    end
    love.graphics.setScissor()
    --Scanline renderer
    
    love.graphics.setColor(0,0,0,64)
    love.graphics.draw(tero.tex, (tero.x * (screen.w/512))/6 + screen.w / 2, (tero.y * (screen.h/512))/6 + screen.h / 2, 0, 1, -tero.y/512, 64, 128, -tero.x/512, 0)
    love.graphics.setColor(255,255,255,255)
    --Draws Tero's shadow
    
    love.graphics.draw(tero.tex, (tero.x * (screen.w/512))/6 + screen.w / 2, (tero.y * (screen.h/512))/6 + screen.h / 2, 0, 1, 1, 64, 128)
    --Draws Tero
    
    love.graphics.setColor(128,128,255)
    love.graphics.draw(
    akvo.tex,
    
    (screen.w/512) * ((akvo.ax/3) + (512/3) - tero.ax/6 - (akvo.ay*((tero.ax-akvo.ax)/512))/6 + tero.x/64),
    
    --(screen.h/512) * (akvo.ay/4 + (512/3) - tero.ay/48),
    
    
    (screen.h/512)* (       (akvo.ay/6)    +    (512/3)     ),
    
    
    0, 1, 1, 64, 128)
    love.graphics.setColor(255,255,255)
    --Draws Akvo
    
    love.graphics.print('FPS      = ' .. love.timer.getFPS(), 0, 0)
    love.graphics.print('tero.x   = ' .. tero.x, 0, 10)
    love.graphics.print('tero.y   = ' .. tero.y, 0, 20)
    love.graphics.print('akvo.x   = ' .. akvo.x, 0, 30)
    love.graphics.print('akvo.y   = ' .. akvo.y, 0, 40)
    for i = 0,2 do
        for j = 0,2 do
            love.graphics.rectangle('line', i * (screen.w / 3), j * (screen.h / 3),screen.w/3, screen.h/3)
        end
    end
    --Draw guidelines
end